bumped veresion
[rainbowstream.git] / setup.py
1 from setuptools import setup, find_packages
2 import os, sys
3
4 # Bumped version
5 version = '0.4.7'
6
7 # Require
8 install_requires = [
9 "python-dateutil",
10 "requests",
11 "pyfiglet",
12 "SQLAlchemy",
13 "twitter",
14 "Pillow",
15 ]
16
17 # Python 3 doesn't hava pysqlite
18 if sys.version[0] == "2":
19 install_requires += ["pysqlite"]
20
21 # Copy default config if not exists
22 default = os.environ.get(
23 'HOME',
24 os.environ.get(
25 'USERPROFILE',
26 '')) + os.sep + '.rainbow_config.json'
27 if not os.path.isfile(default):
28 cmd = 'cp rainbowstream/colorset/config ' + default
29 os.system(cmd)
30
31 # Setup
32 setup(name='rainbowstream',
33 version=version,
34 description="A smart and nice Twitter client on terminal.",
35 long_description=open("./README.rst", "r").read(),
36 classifiers=[
37 "Development Status :: 5 - Production/Stable",
38 "Environment :: Console",
39 "Intended Audience :: End Users/Desktop",
40 "Natural Language :: English",
41 "Operating System :: OS Independent",
42 "Programming Language :: Python :: 2.7",
43 "Programming Language :: Python :: 3.2",
44 "Programming Language :: Python :: 3.3",
45 "Programming Language :: Python :: 3.4",
46 "Topic :: Internet :: WWW/HTTP :: Dynamic Content :: CGI Tools/Libraries",
47 "Topic :: Utilities",
48 "License :: OSI Approved :: MIT License",
49 ],
50 keywords='twitter, command-line tools, stream API',
51 author='Vu Nhat Minh',
52 author_email='nhatminh179@gmail.com',
53 url='http://www.rainbowstream.org/',
54 license='MIT License',
55 packages=find_packages(exclude=['ez_setup', 'examples', 'tests']),
56 include_package_data=True,
57 zip_safe=True,
58 install_requires=install_requires,
59 entry_points="""
60 # -*- Entry points: -*-
61 [console_scripts]
62 rainbowstream=rainbowstream.rainbow:fly
63 """,
64 )